%define anolis_release 1

Name:		mpfr
Version:	4.2.1
Release:	%{anolis_release}%{?dist}
Summary:	C library for multiple-precision floating-point computations

License:	LGPLv3+
URL:		https://www.mpfr.org/
Source0:	https://www.mpfr.org/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	gmp-devel
BuildRequires:	make
BuildRequires:	texinfo

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and also has
a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point arithmetic
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%package devel
Summary: Development files for the MPFR library
Requires: %{name} = %{version}-%{release}
Requires: gmp-devel

%description devel
Header files and documentation for using the MPFR multiple-precision
floating-point library in applications.

If you want to develop applications which will use the MPFR library,
you'll need to install the mpfr-devel package. You'll also need to
install the mpfr package.

%package doc
Summary: Documentation for the MPFR library
License: GFDL
BuildArch: noarch

%description doc
Documentation for the MPFR library.

%prep
%autosetup -p1

%build
%configure --disable-assert --disable-static
%make_build

%install
%make_install

#these go into licenses, not doc
rm -f %{buildroot}%{_pkgdocdir}/COPYING{,.LESSER}

%generate_compatibility_deps

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%make_build check

%files
%dir %{abidir}
%license COPYING COPYING.LESSER
%doc BUGS NEWS PATCHES README
%{_libdir}/libmpfr.so.6*
%{abidir}/libmpfr*.dump

%files devel
%{_libdir}/libmpfr.so
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_libdir}/pkgconfig/mpfr.pc

%files doc
%{_pkgdocdir}/AUTHORS
%{_pkgdocdir}/examples
%{_pkgdocdir}/FAQ.html
%{_pkgdocdir}/TODO
%{_infodir}/mpfr.info*

%changelog
* Sun Aug 27 2023 Funda Wang <fundawang@yeah.net> - 4.2.1-1
- New version 4.2.1

* Wed Jan 18 2023 Funda Wang <fundawang@yeah.net> - 4.2.0-1
- New version 4.2.0

* Tue Nov 22 2022 Funda Wang <fundawang@yeah.net> - 4.1.1-1
- New version 4.1.1

* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.1.0-2
- optimise spec file

* Thu Mar 03 2022 Su Lifan <su-lifan@linux.alibaba.com> - 4.1.0-1
- Initial packaging for Anolis OS 23
